Configuration
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcebroker.utils.serialization.parser.xstream
Class Configuration

    java.lang.Object
      org.gcube.vremanagement.resourcebroker.utils.serialization.parser.xstream.Configuration

    public class Configuration

extends java.lang.Object

The set of global configuration entries.

Author:
  Daniele Strollo (ISTI-CNR)

Field Summary
`static java.lang.String` | `BROKER_CONF_FILE` The broker configuration file path
`static java.lang.String` | `BROKER_LOCAL_CONF_FILE`
`static java.lang.String` | `CONTEXT_SCOPE`
`static boolean` | `ENABLE_GHN_NOTIFICATIONS` If the subscription to notifications for modifications to the GHNs should be done in the `org.gcube.vremanagement.resourcebroker.impl.services.GHNReservationHandler` .
`static boolean` | `ENABLE_PERSISTENCE_REFRESH`
`static boolean` | `ENABLE_REVOKE_RESERVATION_HANDLER`
`static boolean` | `ENABLE_RI_NOTIFICATIONS`
`static boolean` | `ENABLE_UPDATE_GHN_HANDLER`
`static int` | `FEEDBACK_GLOBAL_TRESHOLD` The threshold for global score of a Feedback.
`static int` | `FEEDBACK_NODE_TRESHOLD` Each single node (inside a PackageGroup block) can be considered accepted or failed according to the score associated in the Feedback.
`static int` | `GHN_ACCURACY_WEIGHT` Declares how much a ghn feedback score influences the choice of "best" GHNs.
`static float` | `GHN_LOAD_WEIGHT`
`static int` | `GHN_PROFILE_UPDATER_TTL_MINUTES` The delay for next ghn update notification.
`static int` | `GHN_RESERVATION_TTL_MINUTES` The max time a GHN reservation expires.
`static float` | `GHN_RESERVATION_WEIGHT` how much several reservations on the same GHN influence its sorting.
`static float` | `GHN_RI_COUNT_WEIGHT`
`static java.lang.String` | `GHN_SCORE_KEY`
`static java.lang.String` | `JNDI_SERVICE_NAME` The JNDI name used to publish the `org.gcube.vremanagement.resourcebroker.impl.services.BrokerService`.
`static java.lang.String` | `LIVE_GHN_MAX_MINUTES` The max number of minutes from last profile update to consider a GHN alive.
`static java.lang.String` | `LOGGING_PREFIX` The prefix to use in all classes of this project for logging.
`static java.lang.String` | `NS_CONTEXT` The name space used for `org.gcube.vremanagement.resourcebroker.impl.services.BrokerService` elements.
`static java.lang.String` | `NS_REGISTRY` The namespace associated to the Registry service used to subscribe for notifications.
`static int` | `PERSISTENCE_REFRESH_TTL_MINUTES`
`static boolean` | `PREFETCH_GHNS`
`static java.lang.String` | `PRJ_PACKAGE_NAME` The package name as specified in build.properties.
`static java.lang.String` | `QUERY_COMMENT_TOKEN`
`static int` | `RESOURCE_PUBLICATION_MAX_ATTEMPTS` Max tries for publishing the resource.
`static java.lang.String` | `SINGLETON_RESOURCE_KEY` The key to retrieve/publish the resource used in a singleton pattern.
`static int` | `SLEEP_TIME` Delay in seconds for retrying operations.

Constructor Summary
`Configuration()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BROKER_CONF_FILE

    public static final java.lang.String BROKER_CONF_FILE

  The broker configuration file path

  See Also:
    Constant Field Values

### BROKER_LOCAL_CONF_FILE

    public static final java.lang.String BROKER_LOCAL_CONF_FILE

See Also:
  Constant Field Values

### SLEEP_TIME

    public static final int SLEEP_TIME

  Delay in seconds for retrying operations.

  See Also:
    Constant Field Values

### JNDI_SERVICE_NAME

    public static final java.lang.String JNDI_SERVICE_NAME

  The JNDI name used to publish the `org.gcube.vremanagement.resourcebroker.impl.services.BrokerService`.

  See Also:
    Constant Field Values

### RESOURCE_PUBLICATION_MAX_ATTEMPTS

    public static final int RESOURCE_PUBLICATION_MAX_ATTEMPTS

  Max tries for publishing the resource.

  See Also:
    Constant Field Values

### LIVE_GHN_MAX_MINUTES

    public static final java.lang.String LIVE_GHN_MAX_MINUTES

  The max number of minutes from last profile update to consider a GHN alive.

  See Also:
    Constant Field Values

### NS_CONTEXT

    public static final java.lang.String NS_CONTEXT

  The name space used for `org.gcube.vremanagement.resourcebroker.impl.services.BrokerService` elements.

  See Also:
    Constant Field Values

### NS_REGISTRY

    public static final java.lang.String NS_REGISTRY

  The namespace associated to the Registry service used to subscribe for notifications.

  See Also:
    Constant Field Values

### SINGLETON_RESOURCE_KEY

    public static final java.lang.String SINGLETON_RESOURCE_KEY

  The key to retrieve/publish the resource used in a singleton pattern.

  See Also:
    Constant Field Values

### GHN_RESERVATION_TTL_MINUTES

    public static final int GHN_RESERVATION_TTL_MINUTES

  The max time a GHN reservation expires.

  See Also:
    Constant Field Values

### GHN_PROFILE_UPDATER_TTL_MINUTES

    public static final int GHN_PROFILE_UPDATER_TTL_MINUTES

  The delay for next ghn update notification.

  See Also:
    Constant Field Values

### PRJ_PACKAGE_NAME

    public static final java.lang.String PRJ_PACKAGE_NAME

  The package name as specified in build.properties.

  See Also:
    Constant Field Values

### ENABLE_GHN_NOTIFICATIONS

    public static final boolean ENABLE_GHN_NOTIFICATIONS

  If the subscription to notifications for modifications to the GHNs should be done in the `org.gcube.vremanagement.resourcebroker.impl.services.GHNReservationHandler` .

  See Also:
    Constant Field Values

### ENABLE_RI_NOTIFICATIONS

    public static final boolean ENABLE_RI_NOTIFICATIONS

See Also:
  Constant Field Values

### ENABLE_REVOKE_RESERVATION_HANDLER

    public static final boolean ENABLE_REVOKE_RESERVATION_HANDLER

See Also:
  Constant Field Values

### ENABLE_UPDATE_GHN_HANDLER

    public static final boolean ENABLE_UPDATE_GHN_HANDLER

See Also:
  Constant Field Values

### LOGGING_PREFIX

    public static final java.lang.String LOGGING_PREFIX

  The prefix to use in all classes of this project for logging.

  See Also:
    Constant Field Values

### FEEDBACK_NODE_TRESHOLD

    public static final int FEEDBACK_NODE_TRESHOLD

  Each single node (inside a PackageGroup block) can be considered accepted or failed according to the score associated in the Feedback. The FEEDBACK_NODE_TRESHOLD defines the minimum value allowed in percentage (0..100) for accepting such node.

  See Also:
    Constant Field Values

### FEEDBACK_GLOBAL_TRESHOLD

    public static final int FEEDBACK_GLOBAL_TRESHOLD

  The threshold for global score of a Feedback.

  See Also:
    Constant Field Values

### GHN_ACCURACY_WEIGHT

    public static final int GHN_ACCURACY_WEIGHT

  Declares how much a ghn feedback score influences the choice of "best" GHNs. Namely a bad feedback (0) will have weight 5 to sum on the number of RIs on the GHN.

  See Also:
    Constant Field Values

### GHN_RESERVATION_WEIGHT

    public static final float GHN_RESERVATION_WEIGHT

  how much several reservations on the same GHN influence its sorting.

  See Also:
    Constant Field Values

### GHN_RI_COUNT_WEIGHT

    public static final float GHN_RI_COUNT_WEIGHT

See Also:
  Constant Field Values

### GHN_LOAD_WEIGHT

    public static final float GHN_LOAD_WEIGHT

See Also:
  Constant Field Values

### PREFETCH_GHNS

    public static final boolean PREFETCH_GHNS

See Also:
  Constant Field Values

### QUERY_COMMENT_TOKEN

    public static final java.lang.String QUERY_COMMENT_TOKEN

See Also:
  Constant Field Values

### ENABLE_PERSISTENCE_REFRESH

    public static final boolean ENABLE_PERSISTENCE_REFRESH

See Also:
  Constant Field Values

### PERSISTENCE_REFRESH_TTL_MINUTES

    public static final int PERSISTENCE_REFRESH_TTL_MINUTES

See Also:
  Constant Field Values

### GHN_SCORE_KEY

    public static final java.lang.String GHN_SCORE_KEY

See Also:
  Constant Field Values

### CONTEXT_SCOPE

    public static final java.lang.String CONTEXT_SCOPE

See Also:
  Constant Field Values

Constructor Detail

### Configuration

    public Configuration()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD